hierMde {maigesPack} | R Documentation

## Function to do hierarchical cluster analysis

### Description

This is a function to do hierarchical clustering analysis for objects of classe `maigesDEcluster`.

### Usage

    hierMde(data, group=c("C", "R", "B")[1], distance="correlation",
            method="complete", doHeat=TRUE, sLabelID="SAMPLE",
            gLabelID="GeneName", idxTest=1, adjP="BH",
            nDEgenes=0.05, ...)

### Arguments

`data` | object of class `maigesDEcluster`.
`group` | character string giving the type of grouping: by rows 'R', columns 'C' (default) or both 'B'.
`distance` | char string giving the type of distance to use. Here we use the function `Dist` and the possible values are 'euclidean', 'maximum', 'manhattan', 'canberra', 'binary', 'pearson', 'correlation' (default) and 'spearman'.
`method` | char string specifying the linkage method for the hierarchical cluster. Possible values are 'ward', 'single', 'complete' (default), 'average', 'mcquitty', 'median' or 'centroid'
`doHeat` | logical indicating to do or not the heatmap. If FALSE, only the dendrogram is displayed.
`sLabelID` | character string specifying the sample label ID to be used to label the samples.
`gLabelID` | character string specifying the gene label ID to be used to label the genes.
`idxTest` | numerical index of the test to be used to sort the genes when clustering objects of class `maigesDEcluster`.
`adjP` | string specifying the method of p-value adjustment. May be 'none', 'Bonferroni', 'Holm', 'Hochberg', 'SidakSS', 'SidakSD', 'BH', 'BY'.
`nDEgenes` | number of DE genes to be selected. If a real number in (0,1) all genes with p.value <= `nDEgenes` will be used. If an integer, the `nDEgenes` genes with smaller p-values will be used.
`...` | additional parameters for `heatmap` function.

### Details

This function implements the hierarchical clustering method for objects resulted from differential expression analysis. The default function for hierarchical clustering is the `hclust`. For the adjustment of p-values in the selection of genes differentially expressed, we use the function `mt.rawp2adjp` from package multtest.

### Value

This function display the heatmaps and don't return any object or value.

### Author(s)

Gustavo H. Esteves <gesteves@vision.ime.usp.br>

### See Also

`somM` and `kmeansM` for displaying SOM and k-means clusters, respectively.

### Examples

    ## Loading the dataset
    data(gastro)

    ## Doing bootstrap from t statistic test fot 'Type' sample label, k=1000
    ## specifies one thousand bootstraps
    gastro.ttest = deGenes2by2Ttest(gastro.summ, sLabelID="Type")

    ## Hierarchical cluster adjusting p-values by FDR, and showing all genes
    ## with p-value < 0.05
    hierMde(gastro.ttest, sLabelID="Type", adjP="BH", nDEgenes=0.05)

[Package maigesPack version 1.4.0 Index]